#!/usr/bin/env bash

# Download go 1.22.3 and install it to /usr/local/go
go_tarball="go1.22.3.linux-amd64.tar.gz"
wget "https://go.dev/dl/${go_tarball}"
sudo rm -rf /usr/local/go && sudo tar -C /usr/local -xzf "${go_tarball}"
rm -f "${go_tarball}"

# If our bashrc does not contain a path update for our go installation,
# then append one to the bashrc file.
go_path_update="export PATH=\$PATH:/usr/local/go/bin"
if ! grep -q "${go_path_update}" ~/.bashrc ; then
    echo "${go_path_update}" >> ~/.bashrc
fi

eval "${go_path_update}"
source ~/.bashrc
