#!/usr/bin/env bash

# Check to see if there are any existing simple_server processes.
# If there are, kill them before starting a new server.
existing_processes=$(pgrep -f "simple_server")
if [ -n "${existing_processes}" ] ; then
    kill -9 ${existing_processes}
fi

nohup go run simple_server.go &> simple_server.log &

# Make sure that there is a simple_server process running
server_processes=$(pgrep -f "simple_server")
if [ -z "${server_processes}" ] ; then
    echo "Error starting server"
    exit 1
else
    echo "Server running successfully"
fi
