// Simple hello world example taken from https://go.dev/doc/articles/wiki/#tmp_3
// To spin up the server, run `go run simple_server.go`
// Then, in a browser, navigate to http://localhost:8080/<path> (e.g. http://localhost:8080/ice_cream)
// and you should see a message displayed.

// go:build ignore

package main

import (
    "fmt"
    "log"
    "net/http"
)

func handler(w http.ResponseWriter, r *http.Request) {
	log.Printf("Handling path: %s\n", r.URL.Path[1:])
    fmt.Fprintf(w, "Hi there, I love %s!", r.URL.Path[1:])
}

func main() {
    http.HandleFunc("/", handler)
	log.Println("Starting server...")
    log.Fatal(http.ListenAndServe(":8080", nil))
}
